# CacheDaoWorker Class Reference
[Root classes for building DAO hierarchies]

Transparent and scalable DAO worker, Jedi's best choice. More...

Inheritance diagram for CacheDaoWorker:
[legend]

List of all members.

## Public Member Functions

| uncacheLists ()
| uncachers

## Public Attributes

const | MAX_RANDOM_ID = 134217728

## Protected Member Functions

| cacheByQuery (SelectQuery $query, $object, $expires=Cache::EXPIRES_FOREVER)
| cachers
| cacheListByQuery (SelectQuery $query, $array)
| gentlyGetByKey ($key)
| internal helpers
| getLayerId ()
| makeQueryKey (SelectQuery $query, $suffix)

## Detailed Description

Transparent and scalable DAO worker, Jedi's best choice.

See also:
  CommonDaoWorker for manual-caching one.
  SmartDaoWorker for locking-based worker.
  VoodooDaoWorker for greedy and unscalable one.

Definition at line 21 of file CacheDaoWorker.class.php.

## Member Function Documentation

CacheDaoWorker::cacheByQuery | ( | SelectQuery $ | query,
|  | $ | object,
|  | $ | expires = `Cache::EXPIRES_FOREVER` |
| ) |  |  | `[protected]`

cachers

Reimplemented from CommonDaoWorker.

Definition at line 27 of file CacheDaoWorker.class.php.

References makeQueryKey(), and Cache::me().

Here is the call graph for this function:

CacheDaoWorker::cacheListByQuery | ( | SelectQuery $ | query,
|  | $ | array |
| ) |  |  | `[protected]`

Reimplemented from CommonDaoWorker.

Definition at line 43 of file CacheDaoWorker.class.php.

References Cache::EXPIRES_FOREVER, Assert::isArray(), Assert::isTrue(), makeQueryKey(), Cache::me(), and Cache::NOT_FOUND.

Here is the call graph for this function:

CacheDaoWorker::gentlyGetByKey | ( | $ | key | ) | `[protected]`

internal helpers

Reimplemented from TransparentDaoWorker.

Definition at line 81 of file CacheDaoWorker.class.php.

References Cache::me().

Here is the call graph for this function:

CacheDaoWorker::getLayerId | ( |  | ) | `[protected]`

Definition at line 86 of file CacheDaoWorker.class.php.

References Cache::EXPIRES_FOREVER, and Cache::me().

Here is the call graph for this function:

CacheDaoWorker::makeQueryKey | ( | SelectQuery $ | query,
|  | $ | suffix |
| ) |  |  | `[protected]`

Reimplemented from BaseDaoWorker.

Definition at line 106 of file CacheDaoWorker.class.php.

Referenced by cacheByQuery(), and cacheListByQuery().

CacheDaoWorker::uncacheLists | ( |  | ) |

uncachers

Reimplemented from CommonDaoWorker.

Definition at line 66 of file CacheDaoWorker.class.php.

References Cache::me().

Here is the call graph for this function:

## Member Data Documentation

const CacheDaoWorker::MAX_RANDOM_ID = 134217728

Definition at line 23 of file CacheDaoWorker.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Workers/CacheDaoWorker.class.php